# Class ProfileViewDialog | EchoHub Documentation
Dialog for viewing a user's server profile. Shows Edit Profile / Set Status buttons when viewing own profile.

# Class ProfileViewDialog

Namespace
  EchoHub.Client.UI

Assembly
  EchoHub.Client.dll

Dialog for viewing a user's server profile. Shows Edit Profile / Set Status buttons when viewing own profile.

    public sealed class ProfileViewDialog

Inheritance
  object
  ProfileViewDialog

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### ProfileViewDialog()

    public ProfileViewDialog()

## Methods

### Show(IApplication, UserProfileDto?)

Show a read-only profile view for another user.

    public static void Show(IApplication app, UserProfileDto? profile)

#### Parameters

`app` IApplication
`profile` UserProfileDto

### ShowOwn(IApplication, UserProfileDto?, UserStatus, string?)

Show the profile view for the current user with action buttons. Returns the action the user selected.

    public static ProfileAction ShowOwn(IApplication app, UserProfileDto? profile, UserStatus currentStatus, string? currentStatusMessage)

#### Parameters

`app` IApplication
`profile` UserProfileDto
`currentStatus` UserStatus
`currentStatusMessage` string

#### Returns

ProfileAction